Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteDashboardListenerManager

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteDashboardListenerManager

extends java.rmi.Remote

Method Summary
`boolean` | `addDashboardListener(DashboardListenerInfo info)` Add dashboard listener information
`boolean` | `deleteDashboardListeners(java.util.List<java.lang.String> classNames)` Deleter multiple dashboard listeners by classNames.
`DashboardListenerInfo` | `getDashboardListenerByName(java.lang.String className)` Get Dashboard listener information by target.
`DashboardListenerInfo` | `getDashboardListenerByTarget(java.lang.String target)` Get Dashboard listener information by target.
`java.util.List<java.lang.String>` | `getDashboardListenerImplClassNames(java.lang.String filePath)` Gets implementation classes names which implement `com.jinfonet.web.modules.DashboardListener` interface, in the specified jar file.
`java.util.Vector<DashboardListenerInfo>` | `getDashboardListeners()` Get all dashboard listeners information
`boolean` | `setMultiEnabled(java.util.List<java.lang.String> classNames, boolean isEnabled)` Set whether dashboard listeners are enabled
`boolean` | `updateDashboardListener(DashboardListenerInfo info)` Update dashboard listener information

Method Detail

### addDashboardListener

    boolean addDashboardListener(DashboardListenerInfo info)
                                 throws java.rmi.RemoteException

  Add dashboard listener information

  Parameters:
    `info` - dashboard listener information
  Returns:
    whether is success
  Throws:
    `java.rmi.RemoteException`

### updateDashboardListener

    boolean updateDashboardListener(DashboardListenerInfo info)
                                    throws java.rmi.RemoteException

  Update dashboard listener information

  Parameters:
    `info` - dashboard listener information
  Returns:
    whether is success
  Throws:
    `java.rmi.RemoteException`

### getDashboardListenerByTarget

    DashboardListenerInfo getDashboardListenerByTarget(java.lang.String target)
                                                       throws java.rmi.RemoteException

  Get Dashboard listener information by target.

  Parameters:
    `target` -
  Returns:
    Dashboard listener information
  Throws:
    `java.rmi.RemoteException`

### getDashboardListenerByName

    DashboardListenerInfo getDashboardListenerByName(java.lang.String className)
                                                     throws java.rmi.RemoteException

  Get Dashboard listener information by target.

  Parameters:
    `className` -
  Returns:
    Dashboard listener information
  Throws:
    `java.rmi.RemoteException`

### getDashboardListeners

    java.util.Vector<DashboardListenerInfo> getDashboardListeners()
                                                                  throws java.rmi.RemoteException

  Get all dashboard listeners information

  Returns:
    list of dashboard listeners information
  Throws:
    `java.rmi.RemoteException`

### setMultiEnabled

    boolean setMultiEnabled(java.util.List<java.lang.String> classNames,
                            boolean isEnabled)
                            throws java.rmi.RemoteException

  Set whether dashboard listeners are enabled

  Parameters:
    `classNames` -
    `isEnabled` -
  Returns:
    whether is success
  Throws:
    `java.rmi.RemoteException`

### deleteDashboardListeners

    boolean deleteDashboardListeners(java.util.List<java.lang.String> classNames)
                                     throws java.rmi.RemoteException

  Deleter multiple dashboard listeners by classNames.

  Parameters:
    `classNames` -
  Returns:
    whether is success
  Throws:
    `java.rmi.RemoteException`

### getDashboardListenerImplClassNames

    java.util.List<java.lang.String> getDashboardListenerImplClassNames(java.lang.String filePath)
                                                                        throws java.rmi.RemoteException

  Gets implementation classes names which implement `com.jinfonet.web.modules.DashboardListener` interface, in the specified jar file.

  Parameters:
    `filePath` - the jarFile
  Returns:
    each element represents a class name(full name).
  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD